=== debian/watch ===
version=3
http://ftp.mozilla.org/pub/mozilla.org/security/nss/releases/NSS_(\d_[\d_]+)_RTM/src/nss-([\d\.]+)\.tar\.(?:bz2|gz)
