## nss 3.32

=== debian/changelog ===
nss (2:3.32-1ubuntu3) artful; urgency=medium

  * SECURITY UPDATE: Use-after-free in TLS 1.2 generating handshake hashes
    - debian/patches/CVE-2017-7805.patch: Simplify handling of
      CertificateVerify in nss/lib/ssl/ssl3con.c, nss/lib/ssl/ssl3prot.h.
    - CVE-2017-7805

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 29 Sep 2017 12:17:39 -0400

nss (2:3.32-1ubuntu2) artful; urgency=medium

  * Initialise curve variable in a test file, resolves FTBFS.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 24 Aug 2017 07:21:27 -0400

nss (2:3.32-1ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - When building with -O3, build with -Wno-error=maybe-uninitialized.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Aug 2017 13:09:20 -0400

nss (2:3.32-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Thu, 10 Aug 2017 15:29:40 +0900

nss (2:3.31-1) unstable; urgency=medium

  * New upstream release.
  * debian/libnss3.symbols: Add NSS_3_31 and NSSUTIL_3.31 symbol versions.

 -- Mike Hommey <glandium@debian.org>  Sat, 17 Jun 2017 06:41:41 +0900

nss (2:3.30.2-1) experimental; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Fri, 19 May 2017 14:06:03 +0900

nss (2:3.30.1-1) experimental; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Wed, 19 Apr 2017 20:09:48 +0900

nss (2:3.30-1) experimental; urgency=medium

  * New upstream release.
  * debian/libnss3.symbols: Add NSS_3.30 and NSS_3.30.0.1 symbol versions.

 -- Mike Hommey <glandium@debian.org>  Sat, 18 Mar 2017 15:34:23 +0900

nss (2:3.29.1-1) experimental; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Sat, 25 Feb 2017 09:27:44 +0900

nss (2:3.29-1) experimental; urgency=medium

  * New upstream release.
  * debian/libnss3.symbols: Add NSSUTIL_3.25 symbol version.

 -- Mike Hommey <glandium@debian.org>  Mon, 13 Feb 2017 07:42:36 +0900

nss (2:3.28.1-1) experimental; urgency=medium

  * New upstream release.
  * debian/libnss3.symbols: Add NSS_3.28 symbol version.

 -- Mike Hommey <glandium@debian.org>  Sun, 05 Feb 2017 15:01:47 +0900

nss (2:3.27.1-1) experimental; urgency=medium

  * New upstream release.
  * debian/libnss3.symbols: Add NSS_3.27 symbol version.

 -- Mike Hommey <glandium@debian.org>  Sat, 19 Nov 2016 08:29:17 +0900

nss (2:3.28.4-0ubuntu2) artful; urgency=medium

  * SECURITY UPDATE: DoS via empty SSLv2 messages
    - debian/patches/CVE-2017-7502.patch: reject broken v2 records in
      nss/lib/ssl/ssl3gthr.c, nss/lib/ssl/ssldef.c, nss/lib/ssl/sslimpl.h,
      added tests to nss/gtests/ssl_gtest/ssl_gather_unittest.cc,
      nss/gtests/ssl_gtest/ssl_gtest.gyp, nss/gtests/ssl_gtest/manifest.mn,
      nss/gtests/ssl_gtest/ssl_v2_client_hello_unittest.cc.
    - CVE-2017-7502

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 16 Jun 2017 08:12:38 -0400

nss (2:3.28.4-0ubuntu1) artful; urgency=medium

  * Updated to upstream 3.28.4 to fix security issues and get a new CA
    certificate bundle.
  * SECURITY UPDATE: DES and Triple DES ciphers birthday attack
    - CVE-2016-2183
  * SECURITY UPDATE: out-of-bounds write in Base64 decoding
    - CVE-2017-5461
  * debian/patches/*.patch: refreshed for new version.
  * debian/control: bump libnspr4-dev to 4.13.1.
  * debian/libnss3.symbols: added new symbols.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 27 Apr 2017 13:13:44 -0400

nss (2:3.26.2-1ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - When building with -O3, build with -Wno-error=maybe-uninitialized.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 02 Dec 2016 08:48:03 -0500

nss (2:3.26.2-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Sun, 30 Oct 2016 07:20:34 +0900

nss (2:3.26-2) unstable; urgency=medium

  * debian/libnss3.symbols: SSL_GetCipherSuiteInfo and SSL_GetChannelInfo need
    newer versions despite the symbol versions.

 -- Mike Hommey <glandium@debian.org>  Wed, 21 Sep 2016 10:02:23 +0900

nss (2:3.26-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - When building with -O3, build with -Wno-error=maybe-uninitialized.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Sep 2016 14:39:56 +0200

nss (2:3.26-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Update such that uscan --download-version works.
  * debian/control, debian/libnss3-1d.*, debian/libnss3.symbols: Remove the
    libnss3-1d* transitional packages.
  * debian/rules:
    - Always set CCC to CXX. Thanks Helmut Grohne. Closes: #806292.
    - Override KERNEL when cross building for a different OS. Closes: #810579.
  * debian/control: Split Depends/Build-Depends/Conflicts. Thanks Guido Günther.
    Closes: #806634.

 -- Mike Hommey <glandium@debian.org>  Tue, 16 Aug 2016 16:33:15 +0900

nss (2:3.25-1ubuntu1) yakkety; urgency=medium

  * When building with -O3, build with -Wno-error=maybe-uninitialized.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 11:36:54 +0200

nss (2:3.25-1) unstable; urgency=medium

  * New upstream release.
  * debian/libnss3.symbols, debian/rules: Add the new libfreeblpriv3 library.
  * debian/libnss3.symbols: Add NSS_3.24 and NSSUTIL_3.24 symbol versions.

 -- Mike Hommey <glandium@debian.org>  Wed, 03 Aug 2016 10:23:13 +0900

nss (2:3.23-2) unstable; urgency=medium

  * debian/control, debian/rules: Leave it to dh_makeshlibs to do the right
    thing wrt ldconfig. This requires debhelper 9.20160403. Closes: #811124.

 -- Mike Hommey <glandium@debian.org>  Sun, 03 Apr 2016 18:29:02 +0900

nss (2:3.23-1) unstable; urgency=medium

  * New upstream release.
  * Fixes mfsa2016-{35-36} also known as CVE-2016-1950 and CVE-2016-1979.
  * debian/control: Bump nspr build dependency to 2:4.12.
  * debian/libnss3.symbols: Add NSS_3.22 and NSS_3.23 symbol versions.


