## nss 3.33

=== debian/changelog ===
nss (2:3.33-1) unstable; urgency=medium

  * New upstream release.
  * debian/libnss3.symbols: Add NSS_3_33 and NSSUTIL_3.33 symbol versions.

 -- Mike Hommey <glandium@debian.org>  Fri, 29 Sep 2017 06:49:26 +0900

nss (2:3.32-2) unstable; urgency=medium

  * nss/gtests/ssl_gtest/ssl_ecdh_unittest.cc: Fix possibly uninitialized
    value 'curve'. bz#1389263. Closes: #871691.
  * lib/freebl/Makefile: Only build gcm.c and rijndael.c with -maes.
    Closes: #871700.

 -- Mike Hommey <glandium@debian.org>  Mon, 28 Aug 2017 07:39:59 +0900
