=== debian/changelog ===
nss (2:3.35-2ubuntu2) bionic; urgency=medium

  * d/p/lp1746947-revert-switch-default-to-sql.patch: the switch of the
    default is still causing too much issues in consumers of nss.
    So until resolved revert the switched default (LP: #1746947)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 05 Feb 2018 11:36:07 +0100

nss (2:3.35-2ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - When building with -O3, build with -Wno-error=maybe-uninitialized.
  * Added Changes:
    - d/libnss3.links: make freebl3 available as library (LP: #1744328)
      + d/control: add dh-exec to Build-Depends
      + d/rules: make mkdir tolerate debian/tmp existing (due to dh-exec)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 30 Jan 2018 14:04:20 +0100

nss (2:3.35-2) unstable; urgency=medium

  * nss/lib/freebl/Makefile: Build Hacl_Poly1305_64.o on arm64.

 -- Mike Hommey <glandium@debian.org>  Mon, 29 Jan 2018 13:51:18 +0900

nss (2:3.35-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Mon, 29 Jan 2018 10:59:06 +0900

nss (2:3.34.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Fri, 05 Jan 2018 20:15:40 +0900

nss (2:3.34-1ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - When building with -O3, build with -Wno-error=maybe-uninitialized.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 14 Dec 2017 09:18:47 -0500

nss (2:3.34-1) unstable; urgency=medium

  * New upstream release:
    - Really build without -maes on i386. Closes: #875694.
  * debian/libnss3.symbols: Add NSS_3_34 symbol version.

 -- Mike Hommey <glandium@debian.org>  Sat, 18 Nov 2017 14:58:01 +0900
